Subject: bug#9941: Handle truncated member names in LIBADD archive libraries

From: "Daniel Richard G." <[email-masked]>
Date: Thu, 03 Nov 2011 13:14:10 -0400

On Thu, 2011 Nov  3 08:51-0500, Bob Friesenhahn wrote:
>
> This is an interesting problem.  There would be similar problems if
> the underlying filesystem did not support long file names (as was
> common on SYSVR.3 systems).

I'm not sure the build process would even work on a system like that!
Though it would be interesting to try.

> What happens if several of the original object file names are
> identical for the first 15 characters?

Oh, I was afraid someone was going to ask that...

    $ ls
    LongObjectNameIsLong1.o    LongObjectNameIsLong2.o

    $ ar cru liblong.a *.o
    ar: filename LongObjectNameIsLong1.o truncated to LongObjectNameI
    ar: filename LongObjectNameIsLong2.o truncated to LongObjectNameI

    $ ar t liblong.a 
    LongObjectNameI
    LongObjectNameI

    $ mkdir extract; cd extract

    $ ar x ../liblong.a 

    $ ls
    LongObjectNameI

Nothing that can't be addressed by implementing an analog of Windows
"PROGRA~1"-style name mangling, but I was hoping to avoid that
approach :(

--Daniel

-- 
Daniel Richard G. || [email-masked]
My ASCII-art .sig got a bad case of Times New Roman.